local gc = Var("GameCommand")

local string_expl = gc:GetStyle() and THEME:GetString("StyleType", gc:GetStyle():GetStyleType()) or THEME:GetString("ScreenSelectPlayMode", gc:GetName())

return Def.ActorFrame {
	GainFocusCommand=cmd(stoptweening;linear,0.01;diffusealpha,1),
	LoseFocusCommand=cmd(stoptweening;linear,0.01;diffusealpha,0),
	LoadFont("Common BEEG") .. {
		Text=string.upper(gc:GetText()),
		OnCommand=function(self)
			self:xy(20,_screen.h-116):horizalign(left):vertalign(bottom):diffuse(GameModeToColor(gc:GetName())):strokecolor( Color.Alpha(GameModeToColor(gc:GetName()), 0.25) ):zoom(0.9)
		end
	},
	
	Def.BitmapText {
		Font="Common Normal",
		Text=string_expl,
		OnCommand=function(self)
			self:xy(20,_screen.h-74):horizalign(left):zoom(0.6):maxwidth((_screen.w*0.75)/0.6):wrapwidthpixels((_screen.w*0.75)/0.6)
		end
	}
}